Bug 144197 - CAN-2004-1125 xpdf buffer overflow
CAN-2004-1125 xpdf buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xpdf (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Mike McLean
impact=moderate,public=20041221
: Security
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-01-04 18:02 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 04:27:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-04 18:02:27 EST
*** This bug has been split off bug 143499 ***

------- Original comment by Josh Bressers (Security Response Team) on 2004.12.21
13:15 -------

iDEFENSE has reported a buffer overflow issue in xpdf 3.  This issue
also affects the xpdf in RHEL3.

http://www.idefense.com/application/poi/display?id=172&type=vulnerabilities&flashstatus=true

The advisory references a patch to fix this issue.



RHEL2.1 does not contain vulnerable code.
Comment 1 Ngo Than 2005-01-20 07:13:23 EST
It's now fixed in xpdf-3.00-11.3
Comment 2 Mark J. Cox (Product Security) 2005-02-15 04:27:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-034.html

Note You need to log in before you can comment on or make changes to this bug.